import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { FranvaroReportFormComponent } from './franvaro-report-form.component';
import { FranvaroReportFormService } from './franvaro-report-form.service';

describe('FranvaroReportFormComponent', () => {
  let component: FranvaroReportFormComponent;
  let fixture: ComponentFixture<FranvaroReportFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [FranvaroReportFormComponent, LayoutComponent],
      imports: [RouterTestingModule, HttpClientTestingModule],
      providers: [FranvaroReportFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(FranvaroReportFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
